{
    template:'${tmpl}',
    data:function(){
        return {
          d:{},
          name:"",
          mobile:"",
          zipCode:"",
        }
    },
    mounted:function(){
      var that=this;
      var codes=[];
      var calcCode=this.$router.history.current.params.id;
      codes.push(calcCode);
      this.$root.getReq("/web/calculatepriceCtl/findByCodes",{"codes":codes}).then(function(d){
        console.log(d);
        if(d.data.count>0){
          var d=d.data.rows[0];
          that.d=d;
        }

      });
      this.$root.getReq("/web/pconfigCtl/getConfigValue",{configType:"wtsName"}).then(function(d){
        console.log(d);
          if(d!=null && d.configValue!=null && d.configValue!=""){
            that.name=d.configValue;
          }
      });
      this.$root.getReq("/web/pconfigCtl/getConfigValue",{configType:"wtsMobile"}).then(function(d){
        console.log(d);
          if(d!=null && d.configValue!=null && d.configValue!=""){
            that.mobile=d.configValue;
          }
      });
      this.$root.getReq("/web/pconfigCtl/getConfigValue",{configType:"wtsZipcode"}).then(function(d){
        console.log(d);
          if(d!=null && d.configValue!=null && d.configValue!=""){
            that.zipCode=d.configValue;
          }
      });

    },
    methods:{
      repeat(str,n){
  			return new Array(n+1).join(str);
  		},
    },
    vname:"gsb-createwts"
}
